## sympy 1.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#
PYTHON       = python
RST2HTML     = rst2html

# You can set these variables from the command line.
SPHINXOPTS   =
SPHINXVER    = 0.5
SPHINXBUILD  = PYTHONPATH=..:$(PYTHONPATH) sphinx-build
PAPER        =

SVGFILES = $(wildcard src/modules/physics/vector/*.svg) $(wildcard src/modules/physics/mechanics/examples/*.svg) $(wildcard src/modules/vector/*.svg)
PDFFILES = $(SVGFILES:%.svg=%.pdf)

ALLSPHINXOPTS = -d _build/doctrees $(SPHINXOPTS) src
ALLSPHINXOPTSapi = -d _build/doctrees-api $(SPHINXOPTS) api
ALLSPHINXOPTSlatex = -d _build/doctrees-latex -D latex_paper_size=$(PAPER) \
                $(SPHINXOPTS) src

.PHONY: changes cheatsheet clean help html html-errors \
        htmlapi htmlhelp info latex linkcheck livehtml \
        texinfo web logo man

.SUFFIXES: .pdf .svg

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  changes     to make an overview over all changed/added/deprecated items"
	@echo "  cheatsheet  to make the Cheatsheet"
	@echo "  clean       to remove generated files"
	@echo "  html        to make standalone HTML files"
	@echo "  html-errors to make the standalone HTML files, stopping on any errors or warnings"
	@echo "  htmlapi     to make HTML API docs"
	@echo "  htmlhelp    to make HTML files and a HTML help project"
	@echo "  info        to make Texinfo files and run them through makeinfo"
	@echo "  latex       to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  linkcheck   to check all external links for integrity"
	@echo "  livehtml    to use livereload to view the built html"
	@echo "  texinfo     to make Texinfo files"
	@echo "  web         to make files usable by Sphinx.web"
	@echo "  logo        generate logos from src/logo/sympy.svg"
	@echo "  man         build manpage"

clean:
	-rm -rf _build
	-rm -rf sphinx
	-rm -f $(PDFFILES)

html: _build/logo/sympy-notailtext-favicon.ico
	mkdir -p src/.static
	mkdir -p _build/html
	mkdir -p _build/doctrees
	mkdir -p src/modules
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	cp -r src/pics _build/html/
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

html-errors: SPHINXOPTS += -W
html-errors: html

htmlapi:
	mkdir -p api/.static
	mkdir -p api/modules
	mkdir -p _build/api _build/doctreesapi
	rm -f api/modules/sympy*.rst
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTSapi) _build/api
	@echo
	@echo "Build finished. The API docs pages are in _build/api."

web:
	mkdir -p _build/web _build/doctrees
	$(SPHINXBUILD) -b web $(ALLSPHINXOPTS) _build/web
	@echo
	@echo "Build finished; now you can run"
	@echo "  python -m sphinx.web _build/web"
	@echo "to start the server."

htmlhelp:
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex: $(PDFFILES)
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTSlatex) _build/latex
	sed -i "s/pdflatex/xelatex/g" _build/latex/Makefile
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all' in that directory to run these through xelatex."

.svg.pdf:
	inkscape --file=$< --export-area-drawing --without-gui --export-pdf=$@

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

livehtml:
	livereload _build/html

cheatsheet: _build/cheatsheet/cheatsheet.pdf _build/cheatsheet/combinatoric_cheatsheet.pdf

_build/cheatsheet/cheatsheet.pdf: cheatsheet/cheatsheet.tex
	mkdir -p _build/cheatsheet
	pdflatex -output-directory=_build/cheatsheet cheatsheet/cheatsheet.tex
	pdflatex -output-directory=_build/cheatsheet cheatsheet/cheatsheet.tex

_build/cheatsheet/cheatsheet.pdf: cheatsheet/combinatoric_cheatsheet.tex
	mkdir -p _build/cheatsheet
	pdflatex -output-directory=_build/cheatsheet cheatsheet/combinatoric_cheatsheet.tex
	pdflatex -output-directory=_build/cheatsheet cheatsheet/combinatoric_cheatsheet.tex

texinfo:
	mkdir -p _build/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) _build/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in _build/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	mkdir -p _build/texinfo
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) _build/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C _build/texinfo info
	@echo "makeinfo finished; the Info files are in _build/texinfo."

man: man/isympy.xml
	docbook2x-man --to-stdout $< > man/isympy.1

_build/logo/sympy-notailtext-favicon.ico: logo

logo: src/logo/sympy.svg
	rm -rf _build/logo
	mkdir -p _build/logo
	$(PYTHON) ./generate_logos.py -d
	@echo
	@echo "Logo generated."

=== debian/changelog ===
sympy (1.0-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 18 Apr 2017 15:14:46 +0200

sympy (1.0-3) unstable; urgency=medium

  * Team upload.

  [ Drew Parsons ]
  * Fix broken Vcs-Browser tag.

  [ Ole Streicher ]
  * Temporarily remove python-sphinxcontrib.blockdiag build dependency

 -- Ole Streicher <olebole@debian.org>  Thu, 12 Jan 2017 15:25:19 +0100

sympy (1.0-2) unstable; urgency=medium

  * Team upload.

  [ Georges Khaznadar ]
  * added a build-dependency on python3-mpmath. Closes: #830365.
  * Updated Standards-Version to 3.9.8

  [ Drew Parsons ]
  * Build a isympy3 package to handle python3 dependencies.
    The common isympy script is placed in the isympy-common package.
    Uses a /usr/bin/isympy3 wrapper script. Closes: #827740.
  * python-sympy no longer conflicts: python-gmpy2. Closes: #829158.

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Jul 2016 01:10:39 +0800

sympy (1.0-1) unstable; urgency=medium

  * New upstream release
  * Updated Standards-Version to 3.9.7

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 24 Apr 2016 15:40:40 +0200

sympy (0.7.6.1-2) unstable; urgency=medium

  * added dependencies isympy -> python-sympy | python3-sympy.
    Closes: #815600

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 01 Mar 2016 18:13:45 +0100

=== debian/control ===
Source: sympy
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 9),
 dh-python, python-all (>=2.6.6-3), python3-all (>= 3.1.3-3),
 python-mpmath, python3-mpmath, python-sphinx,
 librsvg2-bin, imagemagick, inkscape, graphviz, dvipng,
 faketime
Standards-Version: 3.9.8
Homepage: http://sympy.org/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/sympy.git
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/sympy.git

Package: isympy
Architecture: all
Depends: isympy-common, python-sympy, ${python:Depends}, ${misc:Depends}
Recommends: ipython
Breaks: python-sympy (<< 0.7.5-4)
Description: Python shell for SymPy
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.
 .
 This package contains a Python shell (IPython shell if you have the
 ipython package installed) wrapper for SymPy.

Package: isympy3
Architecture: all
Depends: isympy-common, python3-sympy, ${python3:Depends}, ${misc:Depends}
Recommends: ipython3
Description: Python3 shell for SymPy
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.
 .
 This package contains a Python3 shell (IPython shell if you have the
 ipython3 package installed) wrapper for SymPy.

Package: isympy-common
Architecture: all
Depends: ${python:Depends} | ${python3:Depends}, ${misc:Depends}
Recommends: isympy | isympy3
Conflicts: isympy (<< 1.0-2)
Breaks: python-sympy (<< 0.7.5-4)
Description: Python shell for SymPy
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.
 .
 This support package contains the common isympy python script,
 a wrapper for SymPy which can be invoked with either python2 or python3.
 .
 Install the isympy or isympy3 package to ensure all required dependencies
 are loaded.

Package: python-sympy
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-mpmath
Recommends: isympy, python-imaging, python-ctypes, ipython, python-numpy,
 texlive-fonts-extra, dvipng, python-pyglet, python-gmpy, python-sympy-doc
Description: Computer Algebra System (CAS) in Python
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.

Package: python3-sympy
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-mpmath
Recommends: isympy3, python3-pil, ipython3, python3-numpy,
 texlive-fonts-extra, dvipng, python-sympy-doc
Description: Computer Algebra System (CAS) in Python (Python3)
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.
 .
 This package contains the Python 3 version of sympy.

Package: python-sympy-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: python-sympy
Description: Computer Algebra System (CAS) in Python - Documentation
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.
 .
 This package contains the documentation for sympy Python module.

## sympy 1.1.1

=== doc/Makefile ===
--- 
+++ 
@@ -17,9 +17,8 @@
 ALLSPHINXOPTSlatex = -d _build/doctrees-latex -D latex_paper_size=$(PAPER) \
                 $(SPHINXOPTS) src
 
-.PHONY: changes cheatsheet clean help html html-errors \
-        htmlapi htmlhelp info latex linkcheck livehtml \
-        texinfo web logo man
+.PHONY: changes cheatsheet clean help html htmlapi htmlhelp info latex \
+        linkcheck livehtml texinfo web logo man
 
 .SUFFIXES: .pdf .svg
 
@@ -29,7 +28,6 @@
 	@echo "  cheatsheet  to make the Cheatsheet"
 	@echo "  clean       to remove generated files"
 	@echo "  html        to make standalone HTML files"
-	@echo "  html-errors to make the standalone HTML files, stopping on any errors or warnings"
 	@echo "  htmlapi     to make HTML API docs"
 	@echo "  htmlhelp    to make HTML files and a HTML help project"
 	@echo "  info        to make Texinfo files and run them through makeinfo"
@@ -46,6 +44,7 @@
 	-rm -rf sphinx
 	-rm -f $(PDFFILES)
 
+html: SPHINXOPTS += -W
 html: _build/logo/sympy-notailtext-favicon.ico
 	mkdir -p src/.static
 	mkdir -p _build/html
@@ -55,9 +54,6 @@
 	cp -r src/pics _build/html/
 	@echo
 	@echo "Build finished. The HTML pages are in _build/html."
-
-html-errors: SPHINXOPTS += -W
-html-errors: html
 
 htmlapi:
 	mkdir -p api/.static
@@ -86,7 +82,8 @@
 latex: $(PDFFILES)
 	mkdir -p _build/latex _build/doctrees
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTSlatex) _build/latex
-	sed -i "s/pdflatex/xelatex/g" _build/latex/Makefile
+	sed -i'' -e "s/pdflatex/xelatex/g" _build/latex/Makefile
+	sed -i'' -e "s/latexmk/latexmk -xelatex/g" _build/latex/Makefile
 	@echo
 	@echo "Build finished; the LaTeX files are in _build/latex."
 	@echo "Run \`make all' in that directory to run these through xelatex."

=== debian/changelog ===
sympy (1.1.1-5) unstable; urgency=medium

  * upgraded Standards-Version: 4.1.3
  * added a build-dependency on python3-distutil. Closes: #893729
  * changed obsolete VCS stuff to https://salsa.debian.org/science-team/sympy.git

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 05 Apr 2018 19:48:46 +0200

sympy (1.1.1-4) unstable; urgency=medium

  * Team upload
  * debian/patches/0001-DOC-remove-duplicate-Examples-in-atom-docstring.patch
    - to remove double Example section in one of the docstrings causing
      sphinx to crash. Closes: #890838

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 19 Feb 2018 14:13:49 -0500

sympy (1.1.1-3) unstable; urgency=medium

  * modified the dependency python-imaging => python-pil. Closes: #866484
  * introduced Enhances: isympy* stances. Closes: #882335
  * only suggested python-sympy-doc. Closes: #882337
  * patched the file sympy/core/function.py. Closes: #840621
  * removed the binary package isympy, and added Provides: isympy for
    package isympy3

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 26 Nov 2017 22:39:29 +0100

sympy (1.1.1-2) unstable; urgency=medium

  * modified a few Recommends to become Suggests. Closes: #861741

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 19 Nov 2017 18:30:35 +0100

sympy (1.1.1-1) unstable; urgency=medium

  * New upstream version
  * upgraded Upstream-Version to 4.0.0
  * modified doc/Makefile: disabled turning warning into errors
    which prevented Sphinx to output html docs.

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 17 Aug 2017 01:50:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,35 +3,22 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  dh-python, python-all (>=2.6.6-3), python3-all (>= 3.1.3-3),
+ python3-distutils,
  python-mpmath, python3-mpmath, python-sphinx,
  librsvg2-bin, imagemagick, inkscape, graphviz, dvipng,
  faketime
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://sympy.org/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/sympy.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/sympy.git
-
-Package: isympy
-Architecture: all
-Depends: isympy-common, python-sympy, ${python:Depends}, ${misc:Depends}
-Recommends: ipython
-Breaks: python-sympy (<< 0.7.5-4)
-Description: Python shell for SymPy
- SymPy is a Python library for symbolic mathematics (manipulation). It aims to
- become a full-featured computer algebra system (CAS) while keeping the code as
- simple as possible in order to be comprehensible and easily extensible. SymPy
- is written entirely in Python and does not require any external libraries,
- except optionally for plotting support.
- .
- This package contains a Python shell (IPython shell if you have the
- ipython package installed) wrapper for SymPy.
+Vcs-Git: https://salsa.debian.org/science-team/sympy.git
+Vcs-Browser: https://salsa.debian.org/science-team/sympy.git
 
 Package: isympy3
 Architecture: all
 Depends: isympy-common, python3-sympy, ${python3:Depends}, ${misc:Depends}
 Recommends: ipython3
+Provides: isympy
 Description: Python3 shell for SymPy
  SymPy is a Python library for symbolic mathematics (manipulation). It aims to
  become a full-featured computer algebra system (CAS) while keeping the code as
@@ -64,8 +51,10 @@
 Package: python-sympy
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-mpmath
-Recommends: isympy, python-imaging, python-ctypes, ipython, python-numpy,
- texlive-fonts-extra, dvipng, python-pyglet, python-gmpy, python-sympy-doc
+Recommends: python-pil, python-ctypes, ipython, python-numpy,
+ python-pyglet, python-gmpy
+Enhances: isympy
+Suggests: texlive-fonts-extra, dvipng, python-sympy-doc
 Description: Computer Algebra System (CAS) in Python
  SymPy is a Python library for symbolic mathematics (manipulation). It aims to
  become a full-featured computer algebra system (CAS) while keeping the code as
@@ -76,8 +65,9 @@
 Package: python3-sympy
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-mpmath
-Recommends: isympy3, python3-pil, ipython3, python3-numpy,
- texlive-fonts-extra, dvipng, python-sympy-doc
+Recommends: python3-pil, ipython3, python3-numpy
+Enhances: isympy3
+Suggests: texlive-fonts-extra, dvipng, python-sympy-doc
 Description: Computer Algebra System (CAS) in Python (Python3)
  SymPy is a Python library for symbolic mathematics (manipulation). It aims to
  become a full-featured computer algebra system (CAS) while keeping the code as

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python2=debian/python-sympy/
export PYBUILD_DESTDIR_python3=debian/python3-sympy/

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	faketime "`dpkg-parsechangelog -S date`" \
		sh -c '(cd doc/; make html)'

override_dh_auto_install:
	dh_auto_install
	mv debian/python-sympy/usr/bin/isympy debian/isympy-common/usr/bin/
	mv debian/python3-sympy/usr/share/man/man1/* \
		debian/isympy-common/usr/share/man/man1/
	rm -rf debian/python*-sympy/usr/bin/
	rm -rf debian/python*-sympy/usr/share/man/
	# Get rid of embedded mpmath.  Unfortunately, we
	# can't remove all files with quilt (empty files, for example).
	rm -rf debian/python*-sympy/usr/lib/python*/dist-packages/sympy/mpmath/

override_dh_auto_clean:
	dh_auto_clean
	(cd doc/; make clean)
	rm -rf sympy.egg-info

override_dh_auto_test:

## sympy 1.2

=== debian/changelog ===
sympy (1.2-1) unstable; urgency=medium

  * new upstream version
  * reverted the ugly workaroud, as Sphinx is released with a bug fix.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 13 Jul 2018 19:02:40 +0200

sympy (1.1.1-7) unstable; urgency=medium

  * checked again that Recommends: clause was changed into Enhances:
    for isympy; Closes: #885178
  * changed a build dependency: python-sphinx to python3-sphinx
  * added an ugly workaround to prevent #896747 (file "fixSphinx");
    Closes: #896747; additionnally reported a bug against the package
    sphinx
  * added a build-dependency on texlive-latex-base and
    texlive-latex-extra, to allow sphinx to make images from math
    formulas.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 25 Apr 2018 15:39:25 +0200

sympy (1.1.1-6) unstable; urgency=medium

  * upgraded Standards-Version: 4.1.4
  * changed Recommends: clauses into Enhances:
    Closes: #882335; Closes: #885178

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 23 Apr 2018 15:42:07 +0200

## sympy 1.3

=== debian/changelog ===
sympy (1.3-1) unstable; urgency=medium

  * Fresh upstream (Closes: #909333)
    + fixes the issue with undefined name in exception handling
      (NameError: global name 'sub_expr' is not defined)
      which causes FTBFS in downstream projects (see e.g. #906388)
  * debian/watch
    - do not invoke debian/get_newest_source.sh to repack the tarball just
      to rename leading dir -- should not matter

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 02 Oct 2018 10:01:44 -0400

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Build-Depends: debhelper (>= 10),
  dh-python, python-all (>=2.6.6-3), python3-all (>= 3.1.3-3),
  python3-distutils,
- python-mpmath, python3-mpmath, python-sphinx,
+ python-mpmath, python3-mpmath, python3-sphinx,
+ texlive-latex-base, texlive-latex-extra,
  librsvg2-bin, imagemagick, inkscape, graphviz, dvipng,
  faketime
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://sympy.org/
 Vcs-Git: https://salsa.debian.org/science-team/sympy.git
 Vcs-Browser: https://salsa.debian.org/science-team/sympy.git
@@ -17,7 +18,7 @@
 Package: isympy3
 Architecture: all
 Depends: isympy-common, python3-sympy, ${python3:Depends}, ${misc:Depends}
-Recommends: ipython3
+Enhances: ipython3
 Provides: isympy
 Description: Python3 shell for SymPy
  SymPy is a Python library for symbolic mathematics (manipulation). It aims to

=== debian/watch ===
version=3

https://github.com/sympy/sympy/tags \
   /sympy/sympy/archive/sympy-([.0-9]+)\.tar\.gz

## sympy 1.4

=== debian/changelog ===
sympy (1.4-1) unstable; urgency=medium

  * new upstream version. Updated quilt patches
  * updated dh compatibility and Standards-Version
  * added a build-dependency on python3-matplotlib

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 27 Jul 2019 19:53:34 +0200

sympy (1.3-2) unstable; urgency=medium

  * added "Breaks: octave-symbolic (<< 2.7.0~git.2018.07.13-1~)" in
    d/control for packages python-sympy and python3-sympy. Closes: #903890

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 11 Jan 2019 19:42:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,17 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
  dh-python, python-all (>=2.6.6-3), python3-all (>= 3.1.3-3),
  python3-distutils,
- python-mpmath, python3-mpmath, python3-sphinx,
+ python-mpmath,
+ python3-mpmath,
+ python3-matplotlib,
+ python3-sphinx,
  texlive-latex-base, texlive-latex-extra,
  librsvg2-bin, imagemagick, inkscape, graphviz, dvipng,
  faketime
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Homepage: http://sympy.org/
 Vcs-Git: https://salsa.debian.org/science-team/sympy.git
 Vcs-Browser: https://salsa.debian.org/science-team/sympy.git
@@ -56,6 +59,7 @@
  python-pyglet, python-gmpy
 Enhances: isympy
 Suggests: texlive-fonts-extra, dvipng, python-sympy-doc
+Breaks: octave-symbolic (<< 2.7.0~git.2018.07.13-1~)
 Description: Computer Algebra System (CAS) in Python
  SymPy is a Python library for symbolic mathematics (manipulation). It aims to
  become a full-featured computer algebra system (CAS) while keeping the code as
@@ -69,6 +73,7 @@
 Recommends: python3-pil, ipython3, python3-numpy
 Enhances: isympy3
 Suggests: texlive-fonts-extra, dvipng, python-sympy-doc
+Breaks: octave-symbolic (<< 2.7.0~git.2018.07.13-1~)
 Description: Computer Algebra System (CAS) in Python (Python3)
  SymPy is a Python library for symbolic mathematics (manipulation). It aims to
  become a full-featured computer algebra system (CAS) while keeping the code as

## sympy 1.5

=== debian/changelog ===
sympy (1.5-1) unstable; urgency=medium

  * new upstream version
  * created debian/patches/05_sphinx_math_dollar.patch to include the
    sources of sphinx_math_dollar into the source tree (the sources come
    from https://github.com/sympy/sphinx-math-dollar)

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 18 Dec 2019 19:16:07 +0100

## sympy 1.5.1

=== doc/Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	-rm -rf sphinx
 	-rm -f $(PDFFILES)
 
-html: SPHINXOPTS += -W
+html: SPHINXOPTS += -W --keep-going
 html: _build/logo/sympy-notailtext-favicon.ico
 	mkdir -p src/.static
 	mkdir -p _build/html
@@ -114,7 +114,7 @@
 	pdflatex -output-directory=_build/cheatsheet cheatsheet/cheatsheet.tex
 	pdflatex -output-directory=_build/cheatsheet cheatsheet/cheatsheet.tex
 
-_build/cheatsheet/cheatsheet.pdf: cheatsheet/combinatoric_cheatsheet.tex
+_build/cheatsheet/combinatoric_cheatsheet.pdf: cheatsheet/combinatoric_cheatsheet.tex
 	mkdir -p _build/cheatsheet
 	pdflatex -output-directory=_build/cheatsheet cheatsheet/combinatoric_cheatsheet.tex
 	pdflatex -output-directory=_build/cheatsheet cheatsheet/combinatoric_cheatsheet.tex

=== debian/changelog ===
sympy (1.5.1-2ubuntu1) focal; urgency=medium

  * debian/patches/python3-not-python.patch: invoke python3 for
    building, not the deprecated python.  Closes: #952251.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 28 Feb 2020 09:23:34 -0800

sympy (1.5.1-2) unstable; urgency=medium

  * pulled changes coming from the previous team upload

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 07 Feb 2020 18:57:44 +0100

sympy (1.5.1-1) unstable; urgency=medium

  * new upstream version.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 04 Feb 2020 19:33:22 +0100

sympy (1.5-2) unstable; urgency=medium

  * Team upload.
  * Remove Python 2 module package (Closes: #938613).
  * Rely on the libjs-mathjax package for mathjax.
  * Use dh_sphinxdoc during package build.
  * Add Rules-Requires-Root: no.
  * Update Standards-Version to 4.5.0 (no changes required).
  * Move source.lintian-overrides to updated location.
  * Update lintian override tag to new name.

 -- Stuart Prescott <stuart@debian.org>  Mon, 03 Feb 2020 06:25:39 +1100

=== debian/control ===
Source: sympy
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 11),
 dh-python, python3-all (>= 3.1.3-3),
 python3-distutils,
 python3-mpmath,
 python3-matplotlib,
 python3-sphinx,
 texlive-latex-base, texlive-latex-extra,
 librsvg2-bin, imagemagick, inkscape, graphviz, dvipng,
 faketime
Standards-Version: 4.5.0
Homepage: http://sympy.org/
Vcs-Git: https://salsa.debian.org/science-team/sympy.git
Vcs-Browser: https://salsa.debian.org/science-team/sympy
Rules-Requires-Root: no

Package: isympy3
Architecture: all
Depends: isympy-common, python3-sympy, ${python3:Depends}, ${misc:Depends}
Enhances: ipython3
Provides: isympy
Description: Python3 shell for SymPy
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.
 .
 This package contains a Python 3 shell (IPython shell if you have the
 ipython3 package installed) wrapper for SymPy.

Package: isympy-common
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: isympy3
Conflicts: isympy (<< 1.0-2)
Breaks: python-sympy (<< 0.7.5-4)
Description: Python shell for SymPy
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.
 .
 This support package contains the common isympy Python script,
 a wrapper for SymPy which can be invoked with python3.
 .
 Install the isympy3 package to ensure all required dependencies
 are loaded.

Package: python3-sympy
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-mpmath
Recommends: python3-pil, ipython3, python3-numpy
Enhances: isympy3
Suggests: texlive-fonts-extra, dvipng, python-sympy-doc
Breaks: octave-symbolic (<< 2.7.0~git.2018.07.13-1~)
Description: Computer Algebra System (CAS) in Python (Python 3)
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.
 .
 This package contains the Python 3 version of sympy.

Package: python-sympy-doc
Architecture: all
Section: doc
Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: python3-sympy
Description: Computer Algebra System (CAS) in Python - Documentation
 SymPy is a Python library for symbolic mathematics (manipulation). It aims to
 become a full-featured computer algebra system (CAS) while keeping the code as
 simple as possible in order to be comprehensible and easily extensible. SymPy
 is written entirely in Python and does not require any external libraries,
 except optionally for plotting support.
 .
 This package contains the documentation for sympy Python module.

## sympy 1.6

=== debian/changelog ===
sympy (1.6-4) unstable; urgency=medium

  * Checked that the patch 04_doc_makefile.patch enforces the use of
    Python3. Closes: #952251
  * Thanks to Sébastien Villemot, Closes: #963036

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 27 Jun 2020 14:19:50 +0200

sympy (1.6-3) unstable; urgency=medium

  * Ran `LANG=C /usr/sbin/install-docs --verbose --check
    /usr/share/doc-base/sympy` with this result:
    /usr/share/doc-base/sympy: No problems found.
    So, this Closes: #943945
  * fixed a bug in debian/sympy-live.sh, so the new configuration script
    can enable and *also* disable the access to https://live.sympy.org

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 18 Jun 2020 17:42:59 +0200

sympy (1.6-2) unstable; urgency=medium

  * added debconf templates and a post-install script to allow one to
    choose whether one wants to access sympy-live.org's feature, or not.
    The default settings are to make no privacy breach.
  * modified debian/patches/04_doc_makefile.patch to use python3 instead of
    python.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 15 Jun 2020 10:18:57 +0200

sympy (1.6-1) unstable; urgency=medium

  * New upstream version 1.6
  * updated debian patches
  * python3-sympy enhances ipython3. Closes: #885178
  * patched /doc/ext/sympylive.py to prevent pyvacy breaches due to possible
    connections to https://live.sympy.org
  * patched some RST files, to repalce `\mathrm{\LaTeX}` by LaTeX.
    Closes: #940843

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 14 Jun 2020 18:20:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sympy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 11),
  dh-python, python3-all (>= 3.1.3-3),
@@ -56,8 +55,8 @@
 Package: python3-sympy
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-mpmath
-Recommends: python3-pil, ipython3, python3-numpy
-Enhances: isympy3
+Recommends: python3-pil, python3-numpy
+Enhances: isympy3, ipython3
 Suggests: texlive-fonts-extra, dvipng, python-sympy-doc
 Breaks: octave-symbolic (<< 2.7.0~git.2018.07.13-1~)
 Description: Computer Algebra System (CAS) in Python (Python 3)

## sympy 1.6.1

=== debian/changelog ===
sympy (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 18 Jul 2020 20:42:46 +0200

## sympy 1.6.2

=== debian/changelog ===
sympy (1.6.2-3) unstable; urgency=medium

  * added Adriano Rafael Gomes' po file (Thanks!). Closes: #972448

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 04 Dec 2020 15:36:53 +0100

sympy (1.6.2-2) unstable; urgency=medium

  * included Helge Kreutzmann's de.po file. Closes: #964254
  * included Frans Spiesschaert's nl.po file. Closes: #966144

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 20 Sep 2020 17:52:11 +0200

sympy (1.6.2-1) unstable; urgency=medium

  * New upstream version 1.6.2
  * Made a build dependency on debhelper-compat (= 12)

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 14 Aug 2020 17:58:31 +0200

## sympy 1.7.1

=== doc/Makefile ===
--- 
+++ 
@@ -82,11 +82,10 @@
 latex: $(PDFFILES)
 	mkdir -p _build/latex _build/doctrees
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTSlatex) _build/latex
-	sed -i'' -e "s/pdflatex/xelatex/g" _build/latex/Makefile
-	sed -i'' -e "s/latexmk/latexmk -xelatex/g" _build/latex/Makefile
 	@echo
 	@echo "Build finished; the LaTeX files are in _build/latex."
-	@echo "Run \`make all' in that directory to run these through xelatex."
+	@echo "Set the environment variable LATEXMKOPTS='-xelatex -silent'"
+	@echo "And run \`make all' in that directory to run these through xelatex."
 
 .svg.pdf:
 	inkscape --file=$< --export-area-drawing --without-gui --export-pdf=$@

=== release/requirements.txt ===
absl-py==0.11.0
alabaster==0.7.12
antlr4-python3-runtime==4.7.2
appnope==0.1.2
astunparse==1.6.3
autowrap==0.22.0
Babel==2.9.0
backcall==0.2.0
cachetools==4.1.1
certifi==2020.11.8
chardet==3.0.4
cycler==0.10.0
Cython==0.29.21
decorator==4.4.2
docutils==0.16
gast==0.3.3
google-auth==1.23.0
google-auth-oauthlib==0.4.2
google-pasta==0.2.0
grpcio==1.34.0
h5py==2.10.0
idna==2.10
imagesize==1.2.0
ipython==7.19.0
ipython-genutils==0.2.0
jedi==0.17.2
Jinja2==2.11.2
Keras-Preprocessing==1.1.2
kiwisolver==1.3.1
llvmlite==0.35.0
Markdown==3.3.3
MarkupSafe==1.1.1
matplotlib==3.3.3
mpmath==1.1.0
numexpr==2.7.1
numpy==1.18.5
oauthlib==3.1.0
opt-einsum==3.3.0
packaging==20.7
parso==0.7.1
pexpect==4.8.0
pickleshare==0.7.5
Pillow==8.0.1
prompt-toolkit==3.0.8
protobuf==3.14.0
ptyprocess==0.6.0
pyasn1==0.4.8
pyasn1-modules==0.2.8
Pygments==2.7.2
pyparsing==2.4.7
python-dateutil==2.8.1
pytz==2020.4
requests==2.25.0
requests-oauthlib==1.3.0
rsa==4.6
scipy==1.5.4
six==1.15.0
snowballstemmer==2.0.0
Sphinx==3.3.1
sphinx-math-dollar==1.2
sphinxcontrib-applehelp==1.0.2
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==1.0.3
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.4
symengine==0.6.1
tensorboard==2.4.0
tensorboard-plugin-wit==1.7.0
tensorflow==2.3.1
tensorflow-estimator==2.3.0
termcolor==1.1.0
Theano==1.0.5
traitlets==5.0.5
urllib3==1.26.2
wcwidth==0.2.5
Werkzeug==1.0.1
wrapt==1.12.1
wurlitzer==2.0.1

=== debian/changelog ===
sympy (1.7.1-3) unstable; urgency=medium

  * merged Stuart Prescott's patch, Thanks Stuart! Closes: #985052

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 25 Mar 2021 17:28:16 +0100

sympy (1.7.1-2) unstable; urgency=medium

  * patched file sympy/printing/printer.py; Closes: #980707

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 11 Feb 2021 16:46:10 +0100

sympy (1.7.1-1) unstable; urgency=medium

  * new upstream version
  * refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 17 Jan 2021 16:49:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
  dh-python, python3-all (>= 3.1.3-3),
  python3-distutils,
  python3-mpmath,

## sympy 1.9

=== release/requirements.txt ===
absl-py==0.13.0
aesara==2.2.1
alabaster==0.7.12
antlr4-python3-runtime==4.7.2
appnope==0.1.2
astunparse==1.6.3
autowrap==0.22.3
Babel==2.9.1
backcall==0.2.0
cachetools==4.2.2
certifi==2021.5.30
charset-normalizer==2.0.4
clang==5.0
cycler==0.10.0
Cython==0.29.24
decorator==5.0.9
docutils==0.17.1
filelock==3.0.12
flatbuffers==1.12
gast==0.4.0
google-auth==1.35.0
google-auth-oauthlib==0.4.6
google-pasta==0.2.0
grpcio==1.39.0
h5py==3.1.0
idna==3.2
imagesize==1.2.0
ipython==7.27.0
jedi==0.18.0
Jinja2==3.0.1
keras==2.6.0
Keras-Preprocessing==1.1.2
kiwisolver==1.3.2
llvmlite==0.37.0
Markdown==3.3.4
MarkupSafe==2.0.1
matplotlib==3.4.3
matplotlib-inline==0.1.2
mpmath==1.2.1
numexpr==2.7.3
numpy==1.19.5
oauthlib==3.1.1
opt-einsum==3.3.0
packaging==21.0
parso==0.8.2
pexpect==4.8.0
pickleshare==0.7.5
Pillow==8.3.2
prompt-toolkit==3.0.20
protobuf==3.17.3
ptyprocess==0.7.0
pyasn1==0.4.8
pyasn1-modules==0.2.8
Pygments==2.10.0
pyparsing==2.4.7
python-dateutil==2.8.2
pytz==2021.1
requests==2.26.0
requests-oauthlib==1.3.0
rsa==4.7.2
scipy==1.7.1
six==1.15.0
snowballstemmer==2.1.0
Sphinx==4.1.2
sphinx-math-dollar==1.2
sphinx-reredirects==0.0.1
sphinxcontrib-applehelp==1.0.2
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==2.0.0
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.5
symengine==0.7.2
tensorboard==2.6.0
tensorboard-data-server==0.6.1
tensorboard-plugin-wit==1.8.0
tensorflow==2.6.0
tensorflow-estimator==2.6.0
termcolor==1.1.0
traitlets==5.1.0
typing-extensions==3.7.4.3
urllib3==1.26.6
wcwidth==0.2.5
Werkzeug==2.0.1
wrapt==1.12.1
wurlitzer==3.0.2

=== debian/changelog ===
sympy (1.9-1) unstable; urgency=medium

  * New upstream version 1.9
  * updated debian patches local-mathjax.patch and printer.py.patch
  * updated debhelper-compat (= 13), Standards-Version: 4.6.0

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 31 Jan 2022 19:07:34 +0100

sympy (1.7.1-4) unstable; urgency=medium

  * fixed the watch file
  * fixed wrong UTF-8 chars in LaTeX code. Closes: #1002432

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Jan 2022 19:54:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-python, python3-all (>= 3.1.3-3),
  python3-distutils,
  python3-mpmath,
@@ -12,7 +12,7 @@
  texlive-latex-base, texlive-latex-extra,
  librsvg2-bin, imagemagick, inkscape, graphviz, dvipng,
  faketime
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://sympy.org/
 Vcs-Git: https://salsa.debian.org/science-team/sympy.git
 Vcs-Browser: https://salsa.debian.org/science-team/sympy

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,12 @@
 #!/usr/bin/make -f
 
-export PYBUILD_DESTDIR_python2=debian/python-sympy/
 export PYBUILD_DESTDIR_python3=debian/python3-sympy/
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 %:
-	dh  $@ --with python2,python3 --buildsystem=pybuild
+	dh  $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -16,7 +15,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	mv debian/python-sympy/usr/bin/isympy debian/isympy-common/usr/bin/
+	mv debian/python3-sympy/usr/bin/isympy debian/isympy-common/usr/bin/
 	mv debian/python3-sympy/usr/share/man/man1/* \
 		debian/isympy-common/usr/share/man/man1/
 	rm -rf debian/python*-sympy/usr/bin/

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sympy-$1.tar.gz%" \
    https://github.com/sympy/sympy/tags \
    .*sympy-(\d[\d.]*)\.tar\.gz debian uupdate

## sympy 1.10.1

=== release/requirements.txt ===
aesara
antlr4-python3-runtime==4.7.*
autowrap
cython
ipython
linkify-it-py
llvmlite
matplotlib
mpmath
myst-parser
numexpr
numpy
scipy
sphinx
sphinx-math-dollar
sphinx-reredirects
symengine
tensorflow
wurlitzer

=== debian/changelog ===
sympy (1.10.1-3) unstable; urgency=medium

  * new source upload as einsteinpy's test no longer fail

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 08 May 2022 14:58:12 +0200

sympy (1.10.1-2) unstable; urgency=medium

  * added isympy-common as a recommendation of python3-sympy.
    Closes: #1007148
  * added d/po/pt.po, thanks to Américo Monteiro
    Closes: #982319
  * added d/po/es.po, thanks to Camaleón
    Closes: #987390

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 06 May 2022 17:37:39 +0200

sympy (1.10.1-1) unstable; urgency=medium

  * New upstream version 1.10.1
  * updated debian patches
  * new build-dependencies: python3-sphinx-reredirects, python3-myst-parser,
    python3-linkify-it, python3-uc-micro; waiting for three of them to
    pass the NEW process.
  * patched the file dependencies.md, replacing $\LaTeX$ by $\textrm{\LaTeX}$

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 26 Mar 2022 12:35:16 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,11 @@
  python3-sphinx,
  texlive-latex-base, texlive-latex-extra,
  librsvg2-bin, imagemagick, inkscape, graphviz, dvipng,
- faketime
+ faketime,
+ python3-sphinx-reredirects,
+ python3-myst-parser,
+ python3-linkify-it,
+ python3-uc-micro
 Standards-Version: 4.6.0
 Homepage: http://sympy.org/
 Vcs-Git: https://salsa.debian.org/science-team/sympy.git
@@ -55,7 +59,7 @@
 Package: python3-sympy
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-mpmath
-Recommends: python3-pil, python3-numpy
+Recommends: python3-pil, python3-numpy, isympy-common
 Enhances: isympy3, ipython3
 Suggests: texlive-fonts-extra, dvipng, python-sympy-doc
 Breaks: octave-symbolic (<< 2.7.0~git.2018.07.13-1~)

## sympy 1.11.1

=== doc/requirements.txt ===
furo
linkify-it-py
matplotlib
matplotlib-inline
mpmath
myst-parser
Sphinx
sphinx-autobuild
sphinx-copybutton
sphinx-math-dollar
sphinx-reredirects
sphinxcontrib-applehelp
sphinxcontrib-devhelp
sphinxcontrib-htmlhelp
sphinxcontrib-jsmath
sphinxcontrib-qthelp
sphinxcontrib-serializinghtml
sphinx-reredirects

=== debian/changelog ===
sympy (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1
  * updated debian patches, removed some of them which became useless.
  * added a detail to the pach which modifies doc/Makefile: do not raise
    an error when there are warnings
  * added a new dependency: python3-sphinx-copybutton
  * added build-dependencies: furo, sphinx-basic-ng
  * bumped Standards-Version: 4.6.1

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 02 Nov 2022 19:58:21 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper-compat (= 13),
- dh-python, python3-all (>= 3.1.3-3),
+ dh-python,
+ python3-all,
  python3-distutils,
  python3-mpmath,
  python3-matplotlib,
@@ -13,10 +14,13 @@
  librsvg2-bin, imagemagick, inkscape, graphviz, dvipng,
  faketime,
  python3-sphinx-reredirects,
+ python3-sphinx-copybutton,
  python3-myst-parser,
  python3-linkify-it,
- python3-uc-micro
-Standards-Version: 4.6.0
+ python3-uc-micro,
+ furo,
+ sphinx-basic-ng,
+Standards-Version: 4.6.1
 Homepage: http://sympy.org/
 Vcs-Git: https://salsa.debian.org/science-team/sympy.git
 Vcs-Browser: https://salsa.debian.org/science-team/sympy

## sympy 1.12

=== doc/requirements.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 matplotlib-inline
 mpmath
 myst-parser
+scipy
 Sphinx
 sphinx-autobuild
 sphinx-copybutton
@@ -13,6 +14,7 @@
 sphinxcontrib-devhelp
 sphinxcontrib-htmlhelp
 sphinxcontrib-jsmath
+sphinxcontrib-jquery
 sphinxcontrib-qthelp
 sphinxcontrib-serializinghtml
 sphinx-reredirects

=== debian/changelog ===
sympy (1.12-7) unstable; urgency=medium

  * simplified d/rules, as the last version of furo already enforces
    the type="module" attribute when embedding the script furo.js in a
    web page.
  * added autopgtests based on the ordinary tests of the package

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 19 Jan 2024 17:14:46 +0100

sympy (1.12-6) unstable; urgency=medium

  * removed the proxy declaration: now intersphinx inventory files are
    local.
    + added a file debian/intersphinx-inventories.tgz which contains the
      inventories
    + patched the extension sphinx_math_dollar which used obsoleted properties

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 23 Sep 2023 19:38:47 +0200

sympy (1.12-5) unstable; urgency=medium

  * added a proxy declaration in debian/rules, to fetch intersphinx
    inventory files
  * added a build-dependency on python3-sphinxcontrib.jquery

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 23 Sep 2023 15:12:41 +0200

sympy (1.12-4) unstable; urgency=medium

  * created a file version.json and installed it as it were done by the
    release process used by upstream developers.
  * added the html directory to installed files
  * modified /usr/share/doc/python-sympy-doc/html/index.html
    to declare the script furo.js as 'type="module"'

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 30 Aug 2023 16:39:45 +0200

sympy (1.12-3) unstable; urgency=medium

  * patched the file sympy/core/numbers.py to fix #1040058.
    Closes: #1040058

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 20 Jul 2023 15:11:16 +0200

sympy (1.12-2) unstable; urgency=medium

  * upload to unstable

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 11 Jun 2023 13:14:01 +0200

sympy (1.12-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Remove overrides for lintian tags that are no longer supported.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ georgesk ]
  * New upstream version 1.12
  * refreshed debian patches
  * added a build dependencies on sphinx-common, python3-setuptools

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 29 May 2023 14:35:23 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,11 @@
  dh-python,
  python3-all,
  python3-distutils,
+ python3-setuptools,
  python3-mpmath,
  python3-matplotlib,
  python3-sphinx,
+ python3-sphinxcontrib.jquery,
  texlive-latex-base, texlive-latex-extra,
  librsvg2-bin, imagemagick, inkscape, graphviz, dvipng,
  faketime,
@@ -20,8 +22,9 @@
  python3-uc-micro,
  furo,
  sphinx-basic-ng,
+ sphinx-common,
 Standards-Version: 4.6.1
-Homepage: http://sympy.org/
+Homepage: https://sympy.org/
 Vcs-Git: https://salsa.debian.org/science-team/sympy.git
 Vcs-Browser: https://salsa.debian.org/science-team/sympy
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,15 @@
 	dh  $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
+	# restore doc/inv with intersphinx inventories
+	tar xzf debian/intersphinx-inventories.tgz
+
+	# build the documentation in HTML format
+	faketime "`dpkg-parsechangelog -S date`" \
+		sh -c '(cd doc/; export SPHINXOPTS="-j auto"; $(MAKE) html)'
 	dh_auto_build
-	faketime "`dpkg-parsechangelog -S date`" \
-		sh -c '(cd doc/; make html)'
 
+DOCDIR = debian/python-sympy-doc/usr/share/doc/python-sympy-doc
 override_dh_auto_install:
 	dh_auto_install
 	mv debian/python3-sympy/usr/bin/isympy debian/isympy-common/usr/bin/
@@ -23,10 +28,15 @@
 	# Get rid of embedded mpmath.  Unfortunately, we
 	# can't remove all files with quilt (empty files, for example).
 	rm -rf debian/python*-sympy/usr/lib/python*/dist-packages/sympy/mpmath/
+	# create the file version.json for the package python-sympy-doc
+	install -d $(DOCDIR)
+	v=$$(dpkg-parsechangelog --show-field Version| sed 's/-.*//'); \
+	  echo "{\"latest\": \"$$v\", \"dev\": \"$$v\"}" > \
+	    $(DOCDIR)/version.json
 
 override_dh_auto_clean:
 	dh_auto_clean
-	(cd doc/; make clean)
+	cd doc/; $(MAKE) clean; rm -rf src/inv
 	rm -rf sympy.egg-info
 
 override_dh_auto_test:

=== debian/tests/control ===
Tests: run_test
Depends:
 python3-all,
 python3-setuptools,
 python3-numpy,
 python3-matplotlib,
 @
